/*********************************************************************************************************************

		Azoteq IQS263_Example_Code

                i2c_high_level.c - i2c high level functions

********************************************************************************************************************/

#include "Includes.h"

void CommsIQS_Read(unsigned char i2c_addr, unsigned char read_addr, unsigned char *data, unsigned char NoOfBytes)
{
    unsigned char i;

    CommsIQS_send((i2c_addr << 1) + 0x00);      // device address + write
    CommsIQS_send(read_addr);                   // IQS address-command
    CommsIQS_repeat_start();
    CommsIQS_send((i2c_addr << 1) + 0x01);      // device address + read
    if (NoOfBytes > 1)
    {
        for (i = 0; i < NoOfBytes - 1; i++)
            data[i] = CommsIQS_read_ack();      // all bytes except las must be followed by ACK
    }
    data[NoOfBytes-1] = CommsIQS_read_nack();   // last byte read must be followed by a NACK
}

void CommsIQS_Write(unsigned char i2c_addr, unsigned char write_addr, unsigned char *data, unsigned char NoOfBytes)
{
    unsigned char i;

    CommsIQS_send((i2c_addr << 1) + 0x00);      // device address + write
    CommsIQS_send(write_addr);                  // IQS address-command
    for (i = 0; i < NoOfBytes; i++)
        CommsIQS_send(data[i]);
}


